package com.community.huiju.controller;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.common.wxpay.HfWxConfig;
import com.community.huiju.common.wxpay.WXPay;
import com.google.common.collect.Maps;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * @author FXF
 * @date 2019-02-19
 */
@RestController
@RefreshScope
@RequestMapping("/")
@Api(value = "微信支付 API", description = "微信支付 API")
public class WxPayController {
	
	@ApiOperation(value = "统一下单", notes = "统一下单")
	@RequestMapping(value = "/wxUnifiedOrder",method = RequestMethod.GET)
	public ResponseBean wxUnifiedOrder(){
		ResponseBean responseBean = new ResponseBean();
		HfWxConfig config = new HfWxConfig();
		Map<String, String> resp = Maps.newHashMap();
		try {
			WXPay wxpay = new WXPay(config);
			
			Map<String, String> data = new HashMap<String, String>();
			data.put("body", "支付测试");
			data.put("out_trade_no", "2019021910595900000012");
			data.put("device_info", "");
			data.put("fee_type", "CNY");
			data.put("total_fee", "1");
			data.put("spbill_create_ip", "123.12.12.123");
			data.put("notify_url", "http://www.example.com/wxpay/notify");
			// 此处指定为APP支付
			data.put("trade_type", "APP");
			resp = wxpay.unifiedOrder(data);
		} catch (Exception e) {
			e.printStackTrace();
		}
		responseBean.addSuccess(resp);
		return responseBean;
	}
}
