import { fetchBillList } from '@/api/bill'

const transaction = {
  namespaced: true,
  state: {
    total: '',
    billList: []
  },

  mutations: {
    SET_LIST: (state, list) => {
      state.billList = list
    },
    SET_TOTAL: (state, total) => {
      state.total = total
    }
  },

  actions: {
    // 获取收费组列表
    FetchBillList({ commit }, listQuery) {
      return new Promise((resolve, reject) => {
        fetchBillList(listQuery).then(response => {
          const data = response.data
          commit('SET_LIST', data.list)
          commit('SET_TOTAL', data.total)
          resolve()
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default transaction
